MIR_Window Struct Reference

`#include <SDL_mirwindow.h>`

Collaboration diagram for MIR_Window:
[legend]

## Data Fields

SDL_Window * | sdl_window
MIR_Data * | mir_data
MirWindow * | window
EGLSurface | egl_surface

## Detailed Description

Definition at line 34 of file SDL_mirwindow.h.

## Field Documentation

## egl_surface

EGLSurface MIR_Window::egl_surface

Definition at line 39 of file SDL_mirwindow.h.

## mir_data

MIR_Data* MIR_Window::mir_data

Definition at line 36 of file SDL_mirwindow.h.

## sdl_window

SDL_Window* MIR_Window::sdl_window

Definition at line 35 of file SDL_mirwindow.h.

## window

MirWindow* MIR_Window::window

Definition at line 38 of file SDL_mirwindow.h.

The documentation for this struct was generated from the following file:

- src/video/mir/SDL_mirwindow.h